CREATE SCHEMA IF NOT EXISTS FACEBOOK_VIEWS;

CREATE TABLE IF NOT EXISTS FACEBOOK_VIEWS.METRIC_CAMPAIGNS_DAILY (
  __RECORD_ID VARCHAR,
  __PROCESSED_AT TIMESTAMP_TZ,
  __EXTRACTED_AT TIMESTAMP_TZ,
  __API_VERSION VARCHAR,
  ACCOUNT_ID VARCHAR,
  CAMPAIGN_ID VARCHAR,
  DATE_START TIMESTAMP_TZ,
  DATE_START_ACC_TZ DATE,
  DATE_STOP TIMESTAMP_TZ,
  __SPEND_MICRODOLLARS DECIMAL,
  CLICKS DECIMAL,
  IMPRESSIONS DECIMAL,
  ACTION_VALUES__OFFSITE_CONVERSION_FB_PIXEL_PURCHASE__1D_VIEW DECIMAL,
  ACTION_VALUES__OFFSITE_CONVERSION_FB_PIXEL_PURCHASE__28D_CLICK DECIMAL,
  ACTION_VALUES__OFFSITE_CONVERSION_FB_PIXEL_PURCHASE__28D_VIEW DECIMAL,
  ACTION_VALUES__OFFSITE_CONVERSION_FB_PIXEL_PURCHASE__VALUE DECIMAL,
  ACTION_VALUES__APP_CUSTOM_EVENT_FB_MOBILE_PURCHASE__1D_VIEW DECIMAL,
  ACTION_VALUES__APP_CUSTOM_EVENT_FB_MOBILE_PURCHASE__28D_CLICK DECIMAL,
  ACTION_VALUES__APP_CUSTOM_EVENT_FB_MOBILE_PURCHASE__28D_VIEW DECIMAL,
  ACTION_VALUES__APP_CUSTOM_EVENT_FB_MOBILE_PURCHASE__VALUE DECIMAL,
  ACTION_VALUES__OMNI_ADD_TO_CART__1D_VIEW DECIMAL,
  ACTION_VALUES__OMNI_ADD_TO_CART__28D_CLICK DECIMAL,
  ACTION_VALUES__OMNI_ADD_TO_CART__28D_VIEW DECIMAL,
  ACTION_VALUES__OMNI_ADD_TO_CART__VALUE DECIMAL,
  ACTION_VALUES__OMNI_INITIATED_CHECKOUT__1D_VIEW DECIMAL,
  ACTION_VALUES__OMNI_INITIATED_CHECKOUT__28D_CLICK DECIMAL,
  ACTION_VALUES__OMNI_INITIATED_CHECKOUT__28D_VIEW DECIMAL,
  ACTION_VALUES__OMNI_INITIATED_CHECKOUT__VALUE DECIMAL,
  ACTION_VALUES__OMNI_PURCHASE__1D_VIEW DECIMAL,
  ACTION_VALUES__OMNI_PURCHASE__28D_CLICK DECIMAL,
  ACTION_VALUES__OMNI_PURCHASE__28D_VIEW DECIMAL,
  ACTION_VALUES__OMNI_PURCHASE__VALUE DECIMAL,
  ACTION_VALUES__OMNI_COMPLETE_REGISTRATION__1D_VIEW DECIMAL,
  ACTION_VALUES__OMNI_COMPLETE_REGISTRATION__28D_CLICK DECIMAL,
  ACTION_VALUES__OMNI_COMPLETE_REGISTRATION__28D_VIEW DECIMAL,
  ACTION_VALUES__OMNI_COMPLETE_REGISTRATION__VALUE DECIMAL,
  ACTIONS__OMNI_PURCHASE__1D_VIEW DECIMAL,
  ACTIONS__OMNI_PURCHASE__28D_CLICK DECIMAL,
  ACTIONS__OMNI_PURCHASE__28D_VIEW DECIMAL,
  ACTIONS__OMNI_PURCHASE__VALUE DECIMAL,
  ACTIONS__MOBILE_APP_INSTALL__1D_CLICK DECIMAL,
  ACTIONS__MOBILE_APP_INSTALL__1D_VIEW DECIMAL,
  ACTIONS__MOBILE_APP_INSTALL__28D_CLICK DECIMAL,
  ACTIONS__MOBILE_APP_INSTALL__28D_VIEW DECIMAL,
  ACTIONS__MOBILE_APP_INSTALL__VALUE DECIMAL,
  ACTIONS__LIKE__1D_CLICK DECIMAL,
  ACTIONS__LIKE__1D_VIEW DECIMAL,
  ACTIONS__LIKE__28D_CLICK DECIMAL,
  ACTIONS__LIKE__28D_VIEW DECIMAL,
  ACTIONS__LIKE__VALUE DECIMAL,
  ACTIONS__COMMENT__1D_CLICK DECIMAL,
  ACTIONS__COMMENT__1D_VIEW DECIMAL,
  ACTIONS__COMMENT__28D_CLICK DECIMAL,
  ACTIONS__COMMENT__28D_VIEW DECIMAL,
  ACTIONS__COMMENT__VALUE DECIMAL,
  ACTIONS__LINK_CLICK__1D_CLICK DECIMAL,
  ACTIONS__LINK_CLICK__1D_VIEW DECIMAL,
  ACTIONS__LINK_CLICK__28D_CLICK DECIMAL,
  ACTIONS__LINK_CLICK__28D_VIEW DECIMAL,
  ACTIONS__LINK_CLICK__VALUE DECIMAL,
  ACTIONS__POST__1D_CLICK DECIMAL,
  ACTIONS__POST__1D_VIEW DECIMAL,
  ACTIONS__POST__28D_CLICK DECIMAL,
  ACTIONS__POST__28D_VIEW DECIMAL,
  ACTIONS__POST__VALUE DECIMAL,
  ACTIONS__POST_REACTION__1D_CLICK DECIMAL,
  ACTIONS__POST_REACTION__1D_VIEW DECIMAL,
  ACTIONS__POST_REACTION__28D_CLICK DECIMAL,
  ACTIONS__POST_REACTION__28D_VIEW DECIMAL,
  ACTIONS__POST_REACTION__VALUE DECIMAL,
  ACTIONS__VIDEO_PLAY__1D_CLICK DECIMAL,
  ACTIONS__VIDEO_PLAY__1D_VIEW DECIMAL,
  ACTIONS__VIDEO_PLAY__28D_CLICK DECIMAL,
  ACTIONS__VIDEO_PLAY__28D_VIEW DECIMAL,
  ACTIONS__VIDEO_PLAY__VALUE DECIMAL,
  ACTIONS__VIDEO_VIEW__1D_CLICK DECIMAL,
  ACTIONS__VIDEO_VIEW__1D_VIEW DECIMAL,
  ACTIONS__VIDEO_VIEW__28D_CLICK DECIMAL,
  ACTIONS__VIDEO_VIEW__28D_VIEW DECIMAL,
  ACTIONS__VIDEO_VIEW__VALUE DECIMAL,
  ACTIONS__PAGE_ENGAGEMENT__1D_CLICK DECIMAL,
  ACTIONS__PAGE_ENGAGEMENT__1D_VIEW DECIMAL,
  ACTIONS__PAGE_ENGAGEMENT__28D_CLICK DECIMAL,
  ACTIONS__PAGE_ENGAGEMENT__28D_VIEW DECIMAL,
  ACTIONS__PAGE_ENGAGEMENT__VALUE DECIMAL,
  ACTIONS__POST_ENGAGEMENT__1D_CLICK DECIMAL,
  ACTIONS__POST_ENGAGEMENT__1D_VIEW DECIMAL,
  ACTIONS__POST_ENGAGEMENT__28D_CLICK DECIMAL,
  ACTIONS__POST_ENGAGEMENT__28D_VIEW DECIMAL,
  ACTIONS__POST_ENGAGEMENT__VALUE DECIMAL,
  ACTIONS__OFFSITE_CONVERSION__1D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION__1D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION__28D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION__28D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION__VALUE DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_SEARCH__1D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_SEARCH__1D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_SEARCH__28D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_SEARCH__28D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_SEARCH__VALUE DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_LEAD__1D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_LEAD__1D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_LEAD__28D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_LEAD__28D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_LEAD__VALUE DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_VIEW_CONTENT__1D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_VIEW_CONTENT__1D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_VIEW_CONTENT__28D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_VIEW_CONTENT__28D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_VIEW_CONTENT__VALUE DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_TO_WISHLIST__1D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_TO_WISHLIST__1D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_TO_WISHLIST__28D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_TO_WISHLIST__28D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_TO_WISHLIST__VALUE DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_TO_CART__1D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_TO_CART__1D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_TO_CART__28D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_TO_CART__28D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_TO_CART__VALUE DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_PAYMENT_INFO__1D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_PAYMENT_INFO__1D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_PAYMENT_INFO__28D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_PAYMENT_INFO__28D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_ADD_PAYMENT_INFO__VALUE DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_INITIATE_CHECKOUT__1D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_INITIATE_CHECKOUT__1D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_INITIATE_CHECKOUT__28D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_INITIATE_CHECKOUT__28D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_INITIATE_CHECKOUT__VALUE DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_COMPLETE_REGISTRATION__1D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_COMPLETE_REGISTRATION__1D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_COMPLETE_REGISTRATION__28D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_COMPLETE_REGISTRATION__28D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_COMPLETE_REGISTRATION__VALUE DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_PURCHASE__1D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_PURCHASE__1D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_PURCHASE__28D_CLICK DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_PURCHASE__28D_VIEW DECIMAL,
  ACTIONS__OFFSITE_CONVERSION_FB_PIXEL_PURCHASE__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ACHIEVEMENT_UNLOCKED__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ACHIEVEMENT_UNLOCKED__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ACHIEVEMENT_UNLOCKED__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ACHIEVEMENT_UNLOCKED__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ACHIEVEMENT_UNLOCKED__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ACTIVATE_APP__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ACTIVATE_APP__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ACTIVATE_APP__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ACTIVATE_APP__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ACTIVATE_APP__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_PAYMENT_INFO__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_PAYMENT_INFO__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_PAYMENT_INFO__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_PAYMENT_INFO__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_PAYMENT_INFO__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_TO_CART__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_TO_CART__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_TO_CART__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_TO_CART__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_TO_CART__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_TO_WISHLIST__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_TO_WISHLIST__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_TO_WISHLIST__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_TO_WISHLIST__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_ADD_TO_WISHLIST__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_COMPLETE_REGISTRATION__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_COMPLETE_REGISTRATION__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_COMPLETE_REGISTRATION__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_COMPLETE_REGISTRATION__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_COMPLETE_REGISTRATION__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_CONTENT_VIEW__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_CONTENT_VIEW__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_CONTENT_VIEW__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_CONTENT_VIEW__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_CONTENT_VIEW__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_INITIATED_CHECKOUT__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_INITIATED_CHECKOUT__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_INITIATED_CHECKOUT__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_INITIATED_CHECKOUT__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_INITIATED_CHECKOUT__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_LEVEL_ACHIEVED__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_LEVEL_ACHIEVED__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_LEVEL_ACHIEVED__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_LEVEL_ACHIEVED__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_LEVEL_ACHIEVED__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_PURCHASE__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_PURCHASE__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_PURCHASE__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_PURCHASE__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_PURCHASE__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_RATE__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_RATE__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_RATE__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_RATE__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_RATE__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_SEARCH__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_SEARCH__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_SEARCH__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_SEARCH__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_SEARCH__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_SPENT_CREDITS__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_SPENT_CREDITS__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_SPENT_CREDITS__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_SPENT_CREDITS__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_SPENT_CREDITS__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_TUTORIAL_COMPLETION__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_TUTORIAL_COMPLETION__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_TUTORIAL_COMPLETION__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_TUTORIAL_COMPLETION__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_FB_MOBILE_TUTORIAL_COMPLETION__VALUE DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_OTHER__1D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_OTHER__1D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_OTHER__28D_CLICK DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_OTHER__28D_VIEW DECIMAL,
  ACTIONS__APP_CUSTOM_EVENT_OTHER__VALUE DECIMAL,
  ACTIONS__APP_INSTALL__1D_CLICK DECIMAL,
  ACTIONS__APP_INSTALL__1D_VIEW DECIMAL,
  ACTIONS__APP_INSTALL__28D_CLICK DECIMAL,
  ACTIONS__APP_INSTALL__28D_VIEW DECIMAL,
  ACTIONS__APP_INSTALL__VALUE DECIMAL,
  ACTIONS__APP_USE__1D_CLICK DECIMAL,
  ACTIONS__APP_USE__1D_VIEW DECIMAL,
  ACTIONS__APP_USE__28D_CLICK DECIMAL,
  ACTIONS__APP_USE__28D_VIEW DECIMAL,
  ACTIONS__APP_USE__VALUE DECIMAL,
  ACTIONS__CHECKIN__1D_CLICK DECIMAL,
  ACTIONS__CHECKIN__1D_VIEW DECIMAL,
  ACTIONS__CHECKIN__28D_CLICK DECIMAL,
  ACTIONS__CHECKIN__28D_VIEW DECIMAL,
  ACTIONS__CHECKIN__VALUE DECIMAL,
  ACTIONS__LANDING_PAGE_VIEW__1D_CLICK DECIMAL,
  ACTIONS__LANDING_PAGE_VIEW__1D_VIEW DECIMAL,
  ACTIONS__LANDING_PAGE_VIEW__28D_CLICK DECIMAL,
  ACTIONS__LANDING_PAGE_VIEW__28D_VIEW DECIMAL,
  ACTIONS__LANDING_PAGE_VIEW__VALUE DECIMAL,
  VIDEO_10_SEC_WATCHED_ACTIONS__VIDEO_VIEW__1D_CLICK DECIMAL,
  VIDEO_10_SEC_WATCHED_ACTIONS__VIDEO_VIEW__1D_VIEW DECIMAL,
  VIDEO_10_SEC_WATCHED_ACTIONS__VIDEO_VIEW__28D_CLICK DECIMAL,
  VIDEO_10_SEC_WATCHED_ACTIONS__VIDEO_VIEW__28D_VIEW DECIMAL,
  VIDEO_10_SEC_WATCHED_ACTIONS__VIDEO_VIEW__VALUE DECIMAL,
  VIDEO_P100_WATCHED_ACTIONS__VIDEO_VIEW__1D_CLICK DECIMAL,
  VIDEO_P100_WATCHED_ACTIONS__VIDEO_VIEW__1D_VIEW DECIMAL,
  VIDEO_P100_WATCHED_ACTIONS__VIDEO_VIEW__28D_CLICK DECIMAL,
  VIDEO_P100_WATCHED_ACTIONS__VIDEO_VIEW__28D_VIEW DECIMAL,
  VIDEO_P100_WATCHED_ACTIONS__VIDEO_VIEW__VALUE DECIMAL,
  VIDEO_P25_WATCHED_ACTIONS__VIDEO_VIEW__1D_CLICK DECIMAL,
  VIDEO_P25_WATCHED_ACTIONS__VIDEO_VIEW__1D_VIEW DECIMAL,
  VIDEO_P25_WATCHED_ACTIONS__VIDEO_VIEW__28D_CLICK DECIMAL,
  VIDEO_P25_WATCHED_ACTIONS__VIDEO_VIEW__28D_VIEW DECIMAL,
  VIDEO_P25_WATCHED_ACTIONS__VIDEO_VIEW__VALUE DECIMAL,
  VIDEO_P50_WATCHED_ACTIONS__VIDEO_VIEW__1D_CLICK DECIMAL,
  VIDEO_P50_WATCHED_ACTIONS__VIDEO_VIEW__1D_VIEW DECIMAL,
  VIDEO_P50_WATCHED_ACTIONS__VIDEO_VIEW__28D_CLICK DECIMAL,
  VIDEO_P50_WATCHED_ACTIONS__VIDEO_VIEW__28D_VIEW DECIMAL,
  VIDEO_P50_WATCHED_ACTIONS__VIDEO_VIEW__VALUE DECIMAL,
  VIDEO_P75_WATCHED_ACTIONS__VIDEO_VIEW__1D_CLICK DECIMAL,
  VIDEO_P75_WATCHED_ACTIONS__VIDEO_VIEW__1D_VIEW DECIMAL,
  VIDEO_P75_WATCHED_ACTIONS__VIDEO_VIEW__28D_CLICK DECIMAL,
  VIDEO_P75_WATCHED_ACTIONS__VIDEO_VIEW__28D_VIEW DECIMAL,
  VIDEO_P75_WATCHED_ACTIONS__VIDEO_VIEW__VALUE DECIMAL,
  VIDEO_P95_WATCHED_ACTIONS__VIDEO_VIEW__1D_CLICK DECIMAL,
  VIDEO_P95_WATCHED_ACTIONS__VIDEO_VIEW__1D_VIEW DECIMAL,
  VIDEO_P95_WATCHED_ACTIONS__VIDEO_VIEW__28D_CLICK DECIMAL,
  VIDEO_P95_WATCHED_ACTIONS__VIDEO_VIEW__28D_VIEW DECIMAL,
  VIDEO_P95_WATCHED_ACTIONS__VIDEO_VIEW__VALUE DECIMAL,
  VIDEO_THRUPLAY_WATCHED_ACTIONS__VIDEO_VIEW__1D_CLICK DECIMAL,
  VIDEO_THRUPLAY_WATCHED_ACTIONS__VIDEO_VIEW__1D_VIEW DECIMAL,
  VIDEO_THRUPLAY_WATCHED_ACTIONS__VIDEO_VIEW__28D_CLICK DECIMAL,
  VIDEO_THRUPLAY_WATCHED_ACTIONS__VIDEO_VIEW__28D_VIEW DECIMAL,
  VIDEO_THRUPLAY_WATCHED_ACTIONS__VIDEO_VIEW__VALU DECIMAL
);

CREATE SCHEMA IF NOT EXISTS TWITTER_VIEWS;

CREATE TABLE IF NOT EXISTS TWITTER_VIEWS.METRIC_CAMPAIGNS_HOURLY (
  __RECORD_ID VARCHAR,
  __DATA VARIANT,
  __EXTRACTED_AT TIMESTAMP_TZ,
  __PROCESSED_AT TIMESTAMP_TZ,
  __API_VERSION VARCHAR,
  START_TIME TIMESTAMP_TZ,
  START_TIME_ACC_TZ TIMESTAMP_TZ,
  ENTITY_ID VARCHAR,
  ACCOUNT_ID VARCHAR,
  ENGAGEMENTS DECIMAL,
  IMPRESSIONS DECIMAL,
  RETWEETS DECIMAL,
  REPLIES DECIMAL,
  LIKES DECIMAL,
  FOLLOWS DECIMAL,
  CARD_ENGAGEMENTS DECIMAL,
  CLICKS DECIMAL,
  APP_CLICKS DECIMAL,
  URL_CLICKS DECIMAL,
  LINK_CLICKS DECIMAL,
  QUALIFIED_IMPRESSIONS DECIMAL,
  TWEETS_SEND DECIMAL,
  VIDEO_TOTAL_VIEWS DECIMAL,
  VIDEO_VIEWS_25 DECIMAL,
  VIDEO_VIEWS_50 DECIMAL,
  VIDEO_VIEWS_75 DECIMAL,
  VIDEO_VIEWS_100 DECIMAL,
  VIDEO_CTA_CLICKS DECIMAL,
  VIDEO_CONTENT_STARTS DECIMAL,
  VIDEO_MRC_VIEWS DECIMAL,
  VIDEO_3S100PCT_VIEWS DECIMAL,
  CAROUSEL_SWIPES DECIMAL,
  UNFOLLOWS DECIMAL,
  MEDIA_VIEWS DECIMAL,
  MEDIA_ENGAGEMENTS DECIMAL,
  BILLED_ENGAGEMENTS DECIMAL,
  __BILLED_CHARGE_LOCAL_MICRO_MICRODOLLARS DECIMAL,
  CONVERSION_PURCHASES__ORDER_QUANTITY_VIEW DECIMAL,
  CONVERSION_SIGN_UPS__ORDER_QUANTITY_VIEW DECIMAL,
  CONVERSION_SITE_VISITS__ORDER_QUANTITY_VIEW DECIMAL,
  CONVERSION_DOWNLOADS__ORDER_QUANTITY_VIEW DECIMAL,
  CONVERSION_CUSTOM__ORDER_QUANTITY_VIEW DECIMAL,
  MOBILE_CONVERSION_SPENT_CREDITS__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_INSTALLS__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_CONTENT_VIEWS__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_ADD_TO_WISHLISTS__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_CHECKOUTS_INITIATED__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_RESERVATIONS__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_TUTORIALS_COMPLETED__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_ACHIEVEMENTS_UNLOCKED__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_SEARCHES__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_ADD_TO_CARTS__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_PAYMENT_INFO_ADDITIONS__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_RE_ENGAGES__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_SHARES__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_RATES__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_LOGINS__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_UPDATES__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_LEVELS_ACHIEVED__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_INVITES__SALE_AMOUNT DECIMAL,
  MOBILE_CONVERSION_KEY_PAGE_VIEWS__POST_VIEW DECIMAL,
  POLL_CARD_VOTE DECIMAL,
  VIDEO_6S_VIEWS DECIMAL,
  MOBILE_CONVERSION_ACHIEVEMENTS_UNLOCKED VARIANT,
  MOBILE_CONVERSION_ADD_TO_CARTS VARIANT,
  MOBILE_CONVERSION_ADD_TO_WISHLISTS VARIANT,
  MOBILE_CONVERSION_CHECKOUTS_INITIATED VARIANT,
  MOBILE_CONVERSION_CONTENT_VIEWS VARIANT,
  MOBILE_CONVERSION_DOWNLOADS VARIANT,
  MOBILE_CONVERSION_INSTALLS VARIANT,
  MOBILE_CONVERSION_INVITES VARIANT,
  MOBILE_CONVERSION_KEY_PAGE_VIEWS VARIANT,
  MOBILE_CONVERSION_LEVELS_ACHIEVED VARIANT,
  MOBILE_CONVERSION_LOGINS VARIANT,
  MOBILE_CONVERSION_PAYMENT_INFO_ADDITIONS VARIANT,
  MOBILE_CONVERSION_PURCHASES VARIANT,
  MOBILE_CONVERSION_RATES VARIANT,
  MOBILE_CONVERSION_RE_ENGAGES VARIANT,
  MOBILE_CONVERSION_RESERVATIONS VARIANT,
  MOBILE_CONVERSION_SEARCHES VARIANT,
  MOBILE_CONVERSION_SHARES VARIANT,
  MOBILE_CONVERSION_SIGN_UPS VARIANT,
  MOBILE_CONVERSION_SITE_VISITS VARIANT,
  MOBILE_CONVERSION_SPENT_CREDITS VARIANT,
  MOBILE_CONVERSION_TUTORIALS_COMPLETED VARIANT,
  MOBILE_CONVERSION_UPDATES VARIANT, 
  AUTO_CREATED_CONVERSION_DOWNLOAD FLOAT,
  AUTO_CREATED_CONVERSION_PURCHASE FLOAT,
  AUTO_CREATED_CONVERSION_SIGN_UP_INITIATED FLOAT,
  AUTO_CREATED_CONVERSION_ADD_TO_CART FLOAT,
  AUTO_CREATED_CONVERSION_ADD_TO_WISH_LIST FLOAT,
  AUTO_CREATED_CONVERSION_ADDED_PAYMENT_INFO FLOAT,
  AUTO_CREATED_CONVERSION_CHECKOUT_INITIATED FLOAT,
  AUTO_CREATED_CONVERSION_COMPLETE_REGISTRATION FLOAT,
  AUTO_CREATED_CONVERSION_CONTENT_VIEW FLOAT,
  AUTO_CREATED_CONVERSION_PAGE_VIEW FLOAT,
  AUTO_CREATED_CONVERSION_SEARCH FLOAT,
  CONVERSION_CUSTOM VARIANT,
  CONVERSION_DOWNLOADS VARIANT,
  CONVERSION_PURCHASES VARIANT,
  CONVERSION_SIGN_UPS VARIANT,
  CONVERSION_SITE_VISIT VARIANT
);